In host's edit page, show the source for the value of puppet class parameters

08/20/2014 03:29 AM - Ori Rabin

Status: Closed   

Priority: Normal   

Assignee:    

Category: Puppet integration   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1166158 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1667

  

Description

Opened as a PR by breakfastattiffs

Currently, on the edit hosts page, under the parameters tab, if a parameter was overridden in the host's hostgroup (or that

hostgroup's hostgroup), the additional information popup for that parameter says "Matcher: hostgroup."

This is not very useful because the parameter's value could be coming from the hostgroup or a grandparent hostgroup. It would be

more useful to display the actual hostgroup's name so that we know precisely from which parent the parameter's overridden value is

coming from.

Related issues:

Related to Foreman - Bug #12611: CVE-2015-7518 - Smart class parameters/varia... Closed 11/26/2015

Associated revisions

Revision 04c6b019 - 10/06/2014 03:51 AM - Tiffany 

fixes #7163 - on host's edit page, show the source for the value of puppet class parameters.

History

#1 - 10/06/2014 04:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 04c6b0197e93f6c8a616c8695260bcd01563d044.

#2 - 10/07/2014 04:04 AM - Dominic Cleal

- Category set to Puppet integration

- Target version set to 1.7.2

- translation missing: en.field_release set to 21

#3 - 11/20/2014 08:41 AM - Bryan Kearney

- Bugzilla link set to 1166158

#4 - 12/09/2015 11:15 AM - Dominic Cleal

- Related to Bug #12611: CVE-2015-7518 - Smart class parameters/variables shown on host edit allows stored XSS in description added
